# File: XBELFile.py
# 
# Copyright (c) 2006 by ['N laurance']
# Generator: ArchGenXML Version 1.4.0-beta2 http://sf.net/projects/archetypes/
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''nlaurance@zindep.com <>'''
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
try:
    from Products.CMFCore.permissions import View, ModifyPortalContent
except:
    #plone 2.0.5
    from Products.CMFCore.CMFCorePermissions import View, ModifyPortalContent
from Products.Archetypes.atapi import *

from Products.PloneXBEL.config import *
from Products.ATContentTypes.content.file import ATFile, ATFileSchema
##code-section module-header #fill in your manual code here

from Products.ATContentTypes.content.schemata import finalizeATCTSchema
from Products.ATContentTypes.content.base import updateAliases


import xbel_plone_minidom

##/code-section module-header

##code-section after-schema #fill in your manual code here
##/code-section after-schema


class XBELFile(ATFile):
    """
    informations sur les societes clients ou en prospection
    """
    security = ClassSecurityInfo()

    __implements__ = (getattr(ATFile,'__implements__',()),)


    # This name appears in the 'add' box
    archetype_name             = 'XBELFile'

    meta_type                  = 'XBELFile' 
    portal_type                = 'XBELFile' 
    allowed_content_types      = [] 
    filter_content_types       = 1
    global_allow               = 1
    allow_discussion           = 0
    content_icon               = 'xbel_icon.gif'
    immediate_view             = 'XBELFile_view'
    default_view               = 'XBELFile_view'
    typeDescription            = "XBELFile"
    typeDescMsgId              = 'description_edit_xbelfile'
    Xbel = None

#    schema = XBELFileSchema

    ##code-section class-header #fill in your manual code here
    aliases = updateAliases(ATFile,
        {
        '(Default)' : 'XBELFile_view',
        })

    actions=  (
       {'action':      '''string:$object_url/XBELFile_view''',
        'category':    '''object''',
        'id':          'view',
        'name':        'View',
        'permissions': ('''View''',),
        'condition'  : 'python:1'},
       {'action':      '''string:$object_url/base_view''',
        'category':    '''object''',
        'id':          'download',
        'name':        'Download',
        'permissions': ('''View''',),
        'condition'  : 'python:1'},
          )

#
# menage  faire ici
#
    security.declareProtected(View, 'getXbel')
    def getXbel(self):
        return xbel_plone_minidom._do(self.get_data())
       #import pdb;pdb.set_trace()
        if not self.Xbel:
            self.setXbel(self.get_data())
        #return  str(self.Xbel.title)
        return self.Xbel
        #faire un encode plone ici

    security.declareProtected(ModifyPortalContent, 'setXbel')
    def setXbel(self,rawdata):
       self.Xbel=xbel_plone_minidom._do(rawdata)

    ##/code-section class-header


    #Methods
def modify_fti(fti):
    # hide unnecessary tabs (usability enhancement)
    for a in fti['actions']:
        if a['id'] in ['metadata', 'sharing']:
            a['visible'] = 0
    return fti

registerType(XBELFile,PROJECTNAME)
# end of class XBELFile

##code-section module-footer #fill in your manual code here

##/code-section module-footer



